FROM centos:6.10 as stage0
RUN yum install -y gcc 

FROM stage0 as stage1
COPY . /src
WORKDIR /src
RUN gcc -o server server.c 

FROM centos:6.10 as stage2
COPY --from=stage1 /src/server /usr/local/bin
CMD '/usr/local/bin/server'
